/v1/api/secretsProfiles (GET) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Returns information about all configured secrets profiles.
Attention: The secret's data field is not returned.
GET https://api-<BlueCat.edge.url>/v1/api/secretsProfiles?fields=<query_parameters>&fields=<query_parameters>
Authorization: Bearer authorization token

You can specify the following query parameters to limit the number of fields returned by the response:

Query parameters

Name Description
id The ID of secrets profile
name The name of the secrets profile
dateCreated The date that the secrets profile was created, in milliseconds since the Unix Epoch.
dateLastModified The date that the secrets profile was last modified, in milliseconds since the Unix Epoch.
secrets The secrets within the secrets profile.
Note: You can specify multiple query parameters by repeating the fields=<parameter> query parameter.

Successful response

200 OK
Content-Type: application/JSON
[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Password",
    "dateCreated": 946684800000,
    "dateLastModified": 946684800000,
    "secrets": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "type": "TEXT",
        "secretsProfileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "secret1",
        "dateCreated": 946684800000,
        "dateNameLastModified": 946684800000,
        "dateDataLastModified": 946684800000,
        "dateLastDecrypted": 946684800000
      },
      {
        "id": "4d25c8d6-fe6f-4e6b-8f92-e1e8e370e2e0",
        "type": "CERTIFICATE",
        "secretsProfileId": "9fe9939c-a254-442b-a62d-5cb4300d38ff",
        "name": "DNS encryption certificate",
        "dateCreated": 946684800000,
        "dateNameLastModified": 946684800000,
        "dateDataLastModified": 946684800000,
        "dateLastDecrypted": 946684800000,
        "certificate": {
          "commonName": "common.name",
          "issuer": "issuer.name",
          "expiresAt": 946685900000
        }
      }
    ]
  },
  ...
]
Possible error codes:
  • BAD REQUEST - Invalid request
  • INTERNAL SERVER ERROR - Unexpected error